This page was not yet optimized for use on mobile devices.
Cisco Firepower Next-Generation IPS Virtual (NGIPSv) Cryptographic Module
Certificate details
| Certificate ID | #3809 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 03.02.2021 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Exceptions |
|
| Description | The virtualized offering of the Cisco FirePOWER next-generation IPS (NGIPS) solution providing the Industry-leading threat protection. Real-time contextual awareness. Full-stack visibility. Intelligent security automation. This virtualized highly effective intrusion prevention system provides reliable performance and a low total cost of ownership. Threat protection can be expanded with optional subscription licenses to provide Advanced Malware Protection (AMP), application visibility and control, and URL filtering capabilities. |
| Tested configurations |
|
| Vendor | Cisco Systems, Inc. http://www.cisco.com |
| Lab | Gossamer Security Solutions |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES-256, AES-, AES, RC4, DES, Triple-DES, HMAC, HMAC-SHA-512Asymmetric Algorithms
RSA 2048, ECDH, ECDSA, Diffie-Hellman, DHHash functions
SHA-1, MD5Protocols
SSHv2, SSH, TLSv1.2, TLSRandomness
DRBGLibraries
NSSElliptic Curves
P-256, P-384, P-521Block cipher modes
CBC, CTR, GCMVendor
Cisco, Cisco Systems, Inc, Cisco SystemsSecurity level
Level 1, level 1Standards
FIPS 140-2, FIPS PUB 140-2, FIPS 140, FIPS 186-4, SP 800-90A, SP 800-52, RFC 5288, RFC 5246, RFC 4253Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3809,
"dgst": "6f9a9c5aa19fd6b8",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"Triple-DES#2584",
"DRBG#1828",
"RSA#2703",
"HMAC#3329",
"ECDSA#1277",
"SHS#4074",
"CVL#1561",
"AES#5008"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 45,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDH": {
"ECDH": 5
},
"ECDSA": {
"ECDSA": 16
}
},
"FF": {
"DH": {
"DH": 7,
"Diffie-Hellman": 30
}
},
"RSA": {
"RSA 2048": 4
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 2
},
"CTR": {
"CTR": 1
},
"GCM": {
"GCM": 4
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"NSS": {
"NSS": 1
}
},
"crypto_protocol": {
"SSH": {
"SSH": 14,
"SSHv2": 30
},
"TLS": {
"TLS": {
"TLS": 49,
"TLSv1.2": 6
}
}
},
"crypto_scheme": {},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 8,
"P-384": 2,
"P-521": 2
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 2,
"#1561": 2
}
},
"fips_certlike": {
"Certlike": {
"AES 128/192/256": 2,
"AES- 256": 1,
"AES-256": 3,
"Diffie-Hellman (CVL Cert. #1561": 2,
"HMAC-SHA 256/384": 2,
"HMAC-SHA-1": 2,
"HMAC-SHA-1 160": 2,
"HMAC-SHA-512": 2,
"HMAC-SHA-512 512": 2,
"RSA 2048": 4,
"SHA-1": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 3,
"level 1": 1
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 2
}
},
"SHA": {
"SHA1": {
"SHA-1": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 43
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 2,
"FIPS 140-2": 20,
"FIPS 186-4": 3,
"FIPS PUB 140-2": 1
},
"NIST": {
"SP 800-52": 1,
"SP 800-90A": 5
},
"RFC": {
"RFC 4253": 1,
"RFC 5246": 1,
"RFC 5288": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 5,
"AES-": 1,
"AES-256": 3
},
"RC": {
"RC4": 2
}
},
"DES": {
"3DES": {
"Triple-DES": 6
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"HMAC": 1,
"HMAC-SHA-512": 2
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Cisco": {
"Cisco": 21,
"Cisco Systems": 2,
"Cisco Systems, Inc": 13
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"Triple-DES#2584",
"DRBG#1828",
"RSA#2703",
"HMAC#3329",
"ECDSA#1277",
"SHS#4074",
"CVL#1561",
"AES#5008"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": []
},
"policy_metadata": {
"/Author": "Scott Shorter",
"/CreationDate": "D:20210201094249-05\u002700\u0027",
"/Creator": "Microsoft\u00ae Word 2016",
"/ModDate": "D:20210201094249-05\u002700\u0027",
"/Producer": "Microsoft\u00ae Word 2016",
"/Subject": "FIPS 140-2 Security Policy",
"/Title": "CISCO 831 Security Policy",
"pdf_file_size_bytes": 408403,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"https://csrc.nist.gov/groups/computer-security-division/security-testing-validation-and-measurement",
"https://csrc.nist.gov/projects/cryptographic-module-validation-program/validated-modules",
"http://www.cisco.com/",
"http://www.cisco.com/c/en/us/td/docs/security/firepower/60/quick_start/ngips_virtual/NGIPSv-quick/setup-ngipsv.html",
"http://www.cisco.com/c/en/us/products/collateral/security/firepower-7000-series-appliances/datasheet-c78-733165.html",
"https://www.cisco.com/c/en/us/td/docs/security/firepower/640/configuration/guide/fpmc-config-guide-v64.html",
"http://www.cisco.com/c/en/us/products/index.html"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 15
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "32d5fe7e2e2e45113f21b0cf93e6e982223e8413a95d5a43b5cf193d064e2e5a",
"source_hash": "35cc5b106429b4240183914c73ea408d417aca304548fa482b7277233c6bec96",
"txt_hash": "18d06403810fc09b4c6a57186319460b69091f66fdfcd97a98d5306d67a9b315"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/February 2021_010321_1145_signed.pdf",
"date_sunset": null,
"description": "The virtualized offering of the Cisco FirePOWER next-generation IPS (NGIPS) solution providing the Industry-leading threat protection. Real-time contextual awareness. Full-stack visibility. Intelligent security automation. This virtualized highly effective intrusion prevention system provides reliable performance and a low total cost of ownership. Threat protection can be expanded with optional subscription licenses to provide Advanced Malware Protection (AMP), application visibility and control, and URL filtering capabilities.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Roles, Services, and Authentication: Level 3",
"Physical Security: N/A",
"Design Assurance: Level 2",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Cisco Firepower Next-Generation IPS Virtual (NGIPSv) Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "6.4",
"tested_conf": [
"FXOS version 2 on VMware ESXi 6.0 running on Cisco UCS C220 M5 with Intel Xeon Silver 4110",
"FXOS version 2 on VMware ESXi 6.5 running on Cisco UCS C220 M5 with Intel Xeon Silver 4110 (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-02-03",
"lab": "Gossamer Security Solutions",
"validation_type": "Initial"
}
],
"vendor": "Cisco Systems, Inc.",
"vendor_url": "http://www.cisco.com"
}
}